For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload a campaign file - v4

This endpoint allows uploading different types of campaign files including banners, banner X, and brand pages. It includes support for hero image display modes and background positioning controls. Acc

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint allows uploading different types of campaign files including banners, banner X, and brand pages. It includes support for hero image display modes and background positioning controls. Accepted formats include JPEG, JPG, PNG, GIF, PDF, and SVG for banners, banner X, and brand page campaigns, along with standard PDF files for content. Display logos must be in JPEG, JPG, or PNG format."

Upload a campaign file - v4

File upload guidelines

  • File size limit: The maximum supported file size is 4 GB.

  • Supported banner file types: The API currently accepts the following file formats: PNG, JPEG, and JPG.

  • Supported banner X file types: The API currently accepts the following file formats: PNG, JPEG, JPG, SVG, and GIF.

  • Supported content standard display logo file types: The API currently accepts the following file formats: JPEG, JPG, and PNG.

  • Image dimension: Image dimensions are currently validated against the retailer's content standard.

  • Handling multiple files: If multiple files are submitted in a single request, only the first file will be processed while the remaining files will be ignored.

  • BannerX: For Campaign_File_Type_Banner_X_Image, providing a slot ID, and content standard ID , slotType, imageType are mandatory.

  • **Banner **: For Campaign_File_Type_Banner_Image, providing slot ID , content standard ID , team ID is mandatory.

  • Brand Page: For Campaign_File_Type_Brand_Page_Image, providing the Brand Page image is mandatory. Supported formats include PNG, JPEG, JPG, SVG, and GIF.

File upload URL

When uploading your creative asset file, ensure you provide a complete absolute path to the file. If you are copying example test code from the documentation to use in your environment, be sure to update the file location before executing the command. For example:

curl --request POST --url 'https://<your-url>.test.com/v4/campaign-file-upload?contentStandardId=test1&imageType=IMAGE_TYPE_UNSPECIFIED&campaignFileType=CAMPAIGN_FILE_TYPE_BANNER_IMAGE' --header 'accept: application/json' --header 'Authorization: Bearer <your-token>' --header 'content-type: multipart/form-data' --form "file=@/Users/test/downloads/apple.png"

Upload a campaign file - v4

post

This endpoint allows uploading different types of campaign files including banners, banner X, and brand pages. It includes support for hero image display modes and background positioning controls. Accepted formats include JPEG, JPG, PNG, GIF, PDF, and SVG for banners, banner X, and brand page campaigns, along with standard PDF files for content. Display logos must be in JPEG, JPG, or PNG format.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
contentStandardIdstringOptional

The template ID that determines the type of file that can be uploaded and where it will appear in the campaign. This configuration defines accepted file formats, size limits, and display requirements.

slotIdstringOptional

The specific location where the image will appear in the campaign template. Ensures the image adheres to predefined slot requirements and validations. Examples include left_ribbon, top_banner, or side_panel.

slotTypestring · enumOptional

Placement options for the image within the campaign include main background, secondary background, hero image, and more.

Possible values:
teamIdstringOptional

The unique identifier of the campaign team.

managerTeamIdstringOptional

Manager team ID for the campaign. Applicable only to fixed tenancy campaigns.

imageTypestring · enumOptional

Placement options for the image within the campaign include main background, secondary background, hero image, and more.

Possible values:
campaignFileTypestring · enumRequired

Specifies the campaign file type: Supported types include: -

  • CAMPAIGN_FILE_TYPE_BANNER_IMAGE: Image for your banner campaign. -
  • CAMPAIGN_FILE_TYPE_BANNER_X_IMAGE: Image for your banner X campaign. -
  • CAMPAIGN_FILE_TYPE_BANNER_X_CONTENT_STANDARD_DISPLAY_LOGO: Display logo for your banner X content standard file.
  • CAMPAIGN_FILE_TYPE_BANNER_CONTENT_STANDARD_DISPLAY_LOGO: Display logo for your banner content standard file. -
  • CAMPAIGN_FILE_TYPE_BANNER_X_CONTENT_STANDARD_PDF: Content standard PDF for your banner X campaign.
  • CAMPAIGN_FILE_TYPE_BANNER_CONTENT_STANDARD_PDF: Content standard PDF for your banner campaign.
  • CAMPAIGN_FILE_TYPE_BRAND_PAGE_IMAGE: Image for your BRAND PAGE campaign.
Possible values:
Body
filestring · binaryRequired

The campaign file to upload, which can include an image, content standard display logo, or content standard PDF for banners and banner X.

  • Supported image formats are jpeg, jpg, png, gif, PDF, and SVG.
  • Display logos must be in jpeg, jpg, or png format.
Responses
200

File uploaded successfully

application/json
fileIdstringOptional

The unique identifier of the uploaded file.

Example: 1ceee624-7c87-4e98-9995-042da2a32525
fileUrlstringOptional

The URL to access the file uploaded.

Example: https://storage.googleapis.com/banner-images-pending/.../path-to-image
post/campaign-file-upload
POST /v4/campaign-file-upload?campaignFileType=CAMPAIGN_FILE_TYPE_BANNER_IMAGE HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
{
  "fileId": "1ceee624-7c87-4e98-9995-042da2a32525",
  "fileUrl": "https://storage.googleapis.com/banner-images-pending/.../path-to-image"
}